跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Dismiss a security finding

POST
/repos/{owner}/{repo}/security/findings/{index}/dismiss
curl --request POST \
--url https://gitea.example.com/api/v1/repos/example/example/security/findings/1/dismiss \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "dismiss_reason": "example" }'

Gitea Enterprise only. This endpoint is not part of the community edition.

owner
required
string

Name of the owner

repo
required
string

Name of the repository

index
required
integer

Index of the finding

Reason for dismissing the finding

Media typeapplication/json
DismissFindingOptions is the body of the dismiss endpoint.
object
dismiss_reason

Reason for dismissing the finding, one of the enum values the dismiss picker offers, or free text kept from an instance that stored one before the reasons became an enum

string
Examplegenerated
{
"dismiss_reason": "example"
}

APIEmpty is an empty response

APIError is error format response

message
string
url
string

APINotFound is a not found empty response